Skip to main content
POST
/
actions
/
{selector}
/
run
Run an action
curl --request POST \
  --url https://api.getmembrane.com/actions/{selector}/run \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input": "<unknown>",
  "meta": {}
}
'
{
  "output": {},
  "actionRunId": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

selector
string
required

Query Parameters

layer
enum<string>
Available options:
universal,
integration,
connection
integrationKey
string
integrationId
string
connectionId
string
connectionKey
string
instanceKey
string

Body

application/json
input
any

Input data for the action, matching the action inputSchema

meta
object

Response

200 - application/json
output
object
actionRunId
string